/* The GIMP -- an image manipulation program
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __THEMES_H__
#define __THEMES_H__


void           themes_init           (Gimp        *gimp);
void           themes_exit           (Gimp        *gimp);

gchar       ** themes_list_themes    (Gimp        *gimp,
                                      gint        *n_themes);
const gchar  * themes_get_theme_dir  (Gimp        *gimp,
                                      const gchar *theme_name);
gchar        * themes_get_theme_file (Gimp        *gimp,
                                      const gchar *first_component,
                                      ...);
void           themes_apply_theme    (Gimp        *gimp,
                                      const gchar *theme_name);


#endif /* __THEMES_H__ */
